# Interface methods for submodule: GDCMSeriesFileNames
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: GDCMSeriesFileNames
class GDCMSeriesFileNamesProxy(_ProcessObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetInputDirectory(self, name) -> None:
		""""""
		...

	@overload
	def SetInputDirectory(self, name: str) -> None:
		""""""
		...

	def SetDirectory(self, name: str) -> None:
		""""""
		...

	def GetInputFileNames(self):
		""""""
		...

	def SetOutputDirectory(self, name: str) -> None:
		""""""
		...

	def GetOutputFileNames(self):
		""""""
		...

	def GetFileNames(self, serie: str):
		""""""
		...

	def GetSeriesUIDs(self):
		""""""
		...

	def SetRecursive(self, _arg: bool) -> None:
		""""""
		...

	def GetRecursive(self) -> bool:
		""""""
		...

	def RecursiveOn(self) -> None:
		""""""
		...

	def RecursiveOff(self) -> None:
		""""""
		...

	def SetUseSeriesDetails(self, useSeriesDetails: bool) -> None:
		""""""
		...

	def GetUseSeriesDetails(self) -> bool:
		""""""
		...

	def AddSeriesRestriction(self, tag: str) -> None:
		""""""
		...

	def SetLoadSequences(self, _arg: bool) -> None:
		""""""
		...

	def GetLoadSequences(self) -> bool:
		""""""
		...

	def LoadSequencesOn(self) -> None:
		""""""
		...

	def LoadSequencesOff(self) -> None:
		""""""
		...

	def SetLoadPrivateTags(self, _arg: bool) -> None:
		""""""
		...

	def GetLoadPrivateTags(self) -> bool:
		""""""
		...

	def LoadPrivateTagsOn(self) -> None:
		""""""
		...

	def LoadPrivateTagsOff(self) -> None:
		""""""
		...

